using System;
using System.Collections.Generic;
using System.Text;

namespace IndianHealthService.BMXNet.Services
{
    /// <summary>
    /// To test the BMXNetBroker class, we can use one instance of BMXNetBroker
    /// to be the authenicated transport and use the receiver to be the
    /// encapsulated BMX interaction.
    /// </summary>
    /// 
/*
    public class BMXNetBrokerOverAnotherBroker:BMXNetBroker
    {

        public static BMXNetBroker OpenOn(BMXNetBroker aNetBroker)
        {
            BMXNetBrokerOverAnotherBroker answer = new BMXNetBrokerOverAnotherBroker();
            answer.NetBroker = aNetBroker;
            return answer;
        }

        private BMXNetBroker _NetBroker = null;

        public BMXNetBroker NetBroker
        {
            get { return _NetBroker; }
            set { _NetBroker = value; }
        }

        protected override string SendReceiveString(string sendString, string multi)
        {
            return this.DecodeReceiveString(this.NetBroker.TransmitRPC("CIABMX", this.EncodeSendString(sendString,multi)));
        }

        public override string GetLoginFacility(String aDuz)
        {
            return this.NetBroker.GetLoginFacility(aDuz);
        }

        public override bool IsConnected
        {
            get
            {
                return this.NetBroker.IsConnected;
            }
        }
    }
 */
}
